<?php
	include ('include/config.php');
	include ('include/admin_check.php');
	include ('include/functions.php');
	
	$query = "select hirlevel_csoportok.id, hirlevel_csoportok.nev, count(hirlevel_regisztraltak.id) as letszam from hirlevel_csoportok left join hirlevel_regisztraltak on (hirlevel_regisztraltak.csoport_id = hirlevel_csoportok.id) group by hirlevel_csoportok.id order by hirlevel_csoportok.nev" ;
	$result = lekerdez($query) ;
	$csoportok = array() ;
	if (mysqli_num_rows($result) > 0) {
		while ($sor=mysqli_fetch_assoc($result)) {
			$csoportok[] = $sor ;
		}
		mysqli_free_result($result) ;
	}
	
?>
<!DOCTYPE html>

<html lang="hu">

  <head>

    <meta charset="utf-8">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <meta name="description" content="">

    <meta name="author" content="">



    <title><?php echo $admin_title;?> Admin: Hírlevél csoportok listája</title>



    <!-- Bootstrap core CSS -->

    <link href="css/bootstrap.css" rel="stylesheet">



    <!-- Add custom CSS here -->

    <link href="css/sb-admin.css" rel="stylesheet">

    <link rel="stylesheet" href="font-awesome/css/font-awesome.min.css">

    <!-- Page Specific CSS -->

    <link rel="stylesheet" href="http://cdn.oesmith.co.uk/morris-0.4.3.min.css">


  </head>



  <body>



    <div id="wrapper">

	

	<?php include "inc_sidebar_top.php"?>      



      <div id="page-wrapper">



        <div class="row">

          <div class="col-lg-12">

            <h1>Hírlevél csoportok listája</h1>

          </div>

<?php
	if (count($_SESSION["hiba"]) > 0) {
		echo '<div class="col-lg-12">' ;
		foreach ($_SESSION["hiba"] as $hibasor) {
			$class = "alert-danger" ;
			if ($hibasor["tipus"] == "success") {
				$class = "alert-success" ;
			}
			echo '<div class="alert alert-dismissable ' . $class . '">'.$hibasor["szoveg"].'</div>' ;
		}		
		echo '</div>' ;
		unset($_SESSION["hiba"]) ;
	}
?>	

        </div><!-- /.row -->





        <div class="row">

          <div class="col-lg-12">

            <div class="table-responsive">

              <table class="table table-bordered table-hover table-striped tablesorter">

                <thead>

                  <tr>

                    <th>Csoport név</th>

                    <th>Létszám</th>

                    <th></th>

                  </tr>

                </thead>

                <tbody>
<?php
	for ($i=0;$i<count($csoportok);$i++) {
?>
                  <tr>                 
                    <td><?php echo $csoportok[$i]["nev"];?></td>

                    <td><?php echo $csoportok[$i]["letszam"];?></td>

                    <td><button type="button" class="btn btn-default" onClick="javascript:modosit('<?php echo $csoportok[$i]["id"];?>');">Módosít</button></td>

                  </tr>                
<?php
	}
?>
                </tbody>

              </table>
              
<button type="button" class="btn btn-primary" onClick="javascript:document.location.href='newsletter-group-new.php'">Új csoport felvétele</button>           

            </div>

            

          </div>

        </div><!-- /.row -->





      </div><!-- /#page-wrapper -->



    </div><!-- /#wrapper -->



    <!-- JavaScript -->

    <script src="js/jquery-1.10.2.js"></script>

    <script src="js/bootstrap.js"></script>

	<script language="javascript">
		$(document).ready(function() {
			$("#nav-newsletters").addClass("open") ;
		}) ;
			
        function modosit(id)
        {
           document.location.href="newsletter-group-edit.php?id="+id;
        }
    </script>	


    <!-- Page Specific Plugins -->

    <script src="http://cdnjs.cloudflare.com/ajax/libs/raphael/2.1.0/raphael-min.js"></script>

    <script src="http://cdn.oesmith.co.uk/morris-0.4.3.min.js"></script>

    <!--<script src="js/morris/chart-data-morris.js"></script>-->

    <script src="js/tablesorter/jquery.tablesorter.js"></script>

    <script src="js/tablesorter/tables.js"></script>



  </body>

</html>

